UnknownTreeException (Java SE 14 & JDK 14)
Description: declaration: module: jdk.scripting.nashorn, package: jdk.nashorn.api.tree, class: UnknownTreeException
Keywords: jdk.nashorn.api.tree.UnknownTreeException class

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Class UnknownTreeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jdk.nashorn.api.tree.UnknownTreeException

All Implemented Interfaces:
  `Serializable`

    @Deprecated(since="11",
                forRemoval=true)
    public class UnknownTreeException
    extends RuntimeException

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
Indicates that an unknown kind of Tree was encountered. This can occur if the language evolves and new kinds of Trees are added to the `Tree` hierarchy. May be thrown by a tree visitor to indicate that the visitor was created for a prior version of the language.

Since:
  9
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UnknownTreeException​(Tree t, Object p)` | Deprecated, for removal: This API element is subject to removal in a future version. Creates a new `UnknownTreeException`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Object` | `getArgument()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the additional argument.
  `Tree` | `getUnknownTree()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the unknown tree.

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnknownTreeException

    public UnknownTreeException​(Tree t, Object p)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Creates a new `UnknownTreeException`. The `p` parameter may be used to pass in an additional argument with information about the context in which the unknown element was encountered; for example, the visit methods of `TreeVisitor` may pass in their additional parameter.
    Parameters:
      `t` - the unknown tree, may be `null`
      `p` - an additional parameter, may be `null`

- ## Method Details

  - ### getUnknownTree

    public Tree getUnknownTree()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the unknown tree. The value may be unavailable if this exception has been serialized and then read back in.
    Returns:
      the unknown element, or `null` if unavailable

  - ### getArgument

    public Object getArgument()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the additional argument. The value may be unavailable if this exception has been serialized and then read back in.
    Returns:
      the additional argument